Balance Inquiry
Endpoint
Section titled “Endpoint”POST /{provider}/v1.0/balance-inquiryService Code: 11 | Token: B2B
Request
Section titled “Request”Headers (Mandatory)
Section titled “Headers (Mandatory)”| Header | Type | Description |
|---|---|---|
| Authorization | String | Bearer {access_token} |
| Content-Type | String | application/json |
| X-TIMESTAMP | String | ISO 8601 timestamp |
| X-SIGNATURE | String | HMAC-SHA512 signature |
| CHANNEL-ID | String | 5-digit channel code |
| Field | Type | Required | Description |
|---|---|---|---|
| accountNo | String | Conditional* | Nomor rekening (16 digit) |
| bankCardToken | String | Conditional* | Card token (128 char) |
| partnerReferenceNo | String | Optional | Referensi partner |
| additionalInfo | Object | Optional | Info tambahan |
* Salah satu accountNo atau bankCardToken wajib diisi.
Response
Section titled “Response”Success (200)
Section titled “Success (200)”{ "responseCode": "2001100", "responseMessage": "Successful", "partnerReferenceNo": "ref-123", "accountNo": "1234567890", "name": "BUDI SANTOSO", "accountInfos": [ { "balanceType": "Cash", "amount": { "value": "10000000.00", "currency": "IDR" }, "availableBalance": { "value": "10000000.00", "currency": "IDR" }, "floatAmount": { "value": "0.00", "currency": "IDR" }, "holdAmount": { "value": "0.00", "currency": "IDR" }, "ledgerBalance": { "value": "10000000.00", "currency": "IDR" } } ]}Error Codes
Section titled “Error Codes”| Code | Message |
|---|---|
| 4041100 | Account not found |
| 4001101 | Invalid field format |
| 4011100 | Unauthorized |